<template>
  <div>
    <el-row>
      <el-col>First Name: {{ first_name }}</el-col>
      <el-col>Last Name: {{ last_name }}</el-col>
      <el-col>Email: {{ email }}</el-col>
      <!-- <el-col></el-col> -->
    </el-row>
    <el-button @click="edit">Edit</el-button>
    <el-button @click="deleteUser">Delete</el-button>
  </div>
  <!-- <el-button @click="delete">Delete</el-button> -->
</template>

<script>
  import userModelMixin from "./userModelMixin";

  export default {
    mixins: [userModelMixin],
    methods: {
      deleteUser() {
        this.axios
          .delete(`/user/${this.uuid}`)
          .then((data) => {
            if (data.status == 200) {
              this.$router.push({ name: "Home" });
              this.$notify.success({
                title: "Success",
                message: 'Successfully deleted record',
              });
            }
          })
          .catch((error) => {
            this.$notify.error({
              title: "Error",
              message: error.response.data,
            });
          });
      },
      edit() {
        this.$router.push({ name: "Edit", params: { uuid: this.uuid } });
      },
    },
    mounted() {
      this.axios(`/user/${this.uuid}`)
        .then((data) => {
          if (data.status == 200) {
            this.first_name = data.data.first_name;
            this.last_name = data.data.last_name;
            this.email = data.data.email;
            this.password = data.data.password;
          }
        })
        .catch((error) => {
          this.$notify.error({
            title: "Error",
            message: error.response.data,
          });
        });
    },
  };
</script>

<style>
</style>